package com.bankaudit.process.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="audit_grading_qso_dtls")
public class AuditGradingQsoDtls implements Serializable{
	
 	private static final long serialVersionUID = -991333744831006026L;

	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;
	
	@Id
	@Column(name="audit_id")
	private String auditId;
	 		
	@Column(name="display_sequence_id")
	private String displaySequenceId;
	
	@Id
	@Column(name="qso_sequence_id")
	private String qsoSequenceId;
	
	@Column(name="qso_value_dynamic_fetch")
	private String qsoValueDynamicFetch;
	
	@Column(name="qso_value_dynamic_update_stage1")
	private String qsoValueDynamicUpdateStage1;
	
	@Column(name="qso_value_dynamic_update_RO")
	private String qsoValueDynamicUpdateRO;
	
	@Column(name="qso_value_dynamic_update_HO")
	private String qsoValueDynamicUpdateHO;
	
	@Column(name="qso_reference")
	private String qsoReference;
	
	@Column(name="status")
	private String status;
	
	@Column(name="status_RO")
	private String statusRO;
	
	@Column(name="status_HO")
	private String statusHO;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getAuditId() {
		return auditId;
	}

	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
 
	public String getDisplaySequenceId() {
		return displaySequenceId;
	}

	public void setDisplaySequenceId(String displaySequenceId) {
		this.displaySequenceId = displaySequenceId;
	}

	public String getQsoSequenceId() {
		return qsoSequenceId;
	}

	public void setQsoSequenceId(String qsoSequenceId) {
		this.qsoSequenceId = qsoSequenceId;
	}

	public String getQsoValueDynamicFetch() {
		return qsoValueDynamicFetch;
	}

	public void setQsoValueDynamicFetch(String qsoValueDynamicFetch) {
		this.qsoValueDynamicFetch = qsoValueDynamicFetch;
	}

	public String getQsoValueDynamicUpdateStage1() {
		return qsoValueDynamicUpdateStage1;
	}

	public void setQsoValueDynamicUpdateStage1(String qsoValueDynamicUpdateStage1) {
		this.qsoValueDynamicUpdateStage1 = qsoValueDynamicUpdateStage1;
	}

	public String getQsoValueDynamicUpdateRO() {
		return qsoValueDynamicUpdateRO;
	}

	public void setQsoValueDynamicUpdateRO(String qsoValueDynamicUpdateRO) {
		this.qsoValueDynamicUpdateRO = qsoValueDynamicUpdateRO;
	}

	public String getQsoValueDynamicUpdateHO() {
		return qsoValueDynamicUpdateHO;
	}

	public void setQsoValueDynamicUpdateHO(String qsoValueDynamicUpdateHO) {
		this.qsoValueDynamicUpdateHO = qsoValueDynamicUpdateHO;
	}

	public String getQsoReference() {
		return qsoReference;
	}

	public void setQsoReference(String qsoReference) {
		this.qsoReference = qsoReference;
	} 

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getStatusRO() {
		return statusRO;
	}

	public void setStatusRO(String statusRO) {
		this.statusRO = statusRO;
	}

	public String getStatusHO() {
		return statusHO;
	}

	public void setStatusHO(String statusHO) {
		this.statusHO = statusHO;
	}
 
}
