package com.bankaudit.report.v1.service;

import java.util.List;
import java.util.Map;

import com.bankaudit.report.v1.dto.AuditBookReportDataModel;
import com.bankaudit.report.v1.dto.ChapterDto;
import com.bankaudit.report.v1.dto.CheckListDto;
import com.bankaudit.report.v1.dto.ProcessDto;
import com.bankaudit.report.v1.dto.ProductDto;
import com.bankaudit.report.v1.dto.SectionDto; 

public interface AuditBookReportService {
 	 
	
	List<AuditBookReportDataModel> generateAuditBookReport(Integer legalEntityCode, String auditId, String reportLanguage);
	
	byte[] generatePDFReport(Map<String, Object> params, Integer legalEntityCode, String auditId);
}
