package com.bankaudit.repository;

import com.bankaudit.model.AppIssueFile;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface AppIssueFileRepository extends JpaRepository<AppIssueFile, Long> {

    // Correct: based on the entity field name 'issueReport'
    List<AppIssueFile> findByIssueReportId(Long issueId);

    void deleteByIssueReportId(Long issueId);
}