package com.bankaudit.rest.process.dao;

import java.util.List;

import com.bankaudit.dao.Dao;
import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.process.model.AuditReportDynamicTable;
import com.bankaudit.process.model.AuditReportDynamicTableDetails;
import com.bankaudit.process.model.AuditSchedule;
import com.bankaudit.process.model.IfcEnsureBaasData;
import com.bankaudit.process.model.IfcEnsureBaasIRProcessData;
import com.bankaudit.process.model.IfcRatingData;

public interface InterfaceParameterDao extends Dao {
	 	
	List<IfcEnsureBaasData> getLatestParametersByAuditId(int legalEntityCode, String auditId, String unitId);
	
	List<IfcEnsureBaasData> getProfileDetailsByAuditId(int legalEntityCode, String auditId, String unitId);
	
	List<IfcEnsureBaasIRProcessData> getDliDpiDataByAuditId(int legalEntityCode, String auditId, String unitId);
	 	
	List<IfcRatingData> getInputValuesByAuditId(int legalEntityCode, String auditId);
	 
}
