package com.bankaudit.template.rest.dao;

import java.util.List;

import com.bankaudit.dao.Dao;
import com.bankaudit.process.model.AuditDocumentDetails;
import com.bankaudit.process.model.AuditDocumentDetailsWrk;

public interface DocUploadDownloadDao extends Dao {
	
	List<AuditDocumentDetails> getAuditDocumentDetails(Integer legalEntityCode, String auditTypeCode, String planId,
			String auditId, String observationId, String documentType, String documentSubType, String status, String documentName);
	
	 
	public String deleteDocumentById(Integer legalEntityCode, Integer documentId, String status);
	
	public String deleteAllDocumentBy(Integer legalEntityCode, String auditTypeCode, String planId, String auditId, String observationId,
			String documentType, String documentSubType);

	String getReferencePathById(Integer legalEntityCode, Integer documentId, String status, String auditId);
	
	String getCountOfDocuments(Integer legalEntityCode, String auditTypeCode, String planId, String auditId, 
			String observationId, String documentType, String documentSubType, String status, String documentName);
	
	String submitObservationDocuments(Integer legalEntityCode, String auditTypeCode, String planId, String auditId,
			 String role, String documentType, String documentSubType, String observationId);
	
	/*List<AuditDocumentDetails> getAuditDocumentDetailCompliance(Integer legalEntityCode, String auditTypeCode,
			String planId, String auditId, String observationId, String documentType, String documentName, String documentSubType);*/
	
}
