/*
 * 
 */
package com.bankaudit.service;

import java.util.List;
import java.util.Map;

import com.bankaudit.dto.ChecklistDto; 
import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.dto.MaintZoneMappingDto;
import com.bankaudit.model.MaintZoneMapping;
import com.bankaudit.process.model.AuditDocumentDetails;
import com.bankaudit.process.model.AuditObservation;
import com.bankaudit.process.model.ChecklistOfflineInspection;

/**
 * The Interface {@link MaintZoneMappingService} define the methods
 * that can be exposed to controller layer in order to implements rest
 * end-points and define the business logic.
 *
 * @author amit.patel
 * @version 1.0
 */

public interface MaintZoneMappingService {

	List<MaintZoneMappingDto> getZoneByLegalEntityCode(Integer legalEntityCode, String userId);
	
	List<MaintZoneMappingDto> getRegionalOfficeOfAllZones(Integer legalEntityCode, String userId);
}
