package com.bankaudit.template.rest.service;

import java.util.List;
import java.util.Map;

import org.springframework.web.multipart.commons.CommonsMultipartFile;

import com.bankaudit.process.model.AuditDocumentDetails;
import com.bankaudit.process.model.AuditDocumentDetailsWrk;

public interface DocUploadDownloadService {
	
	List<AuditDocumentDetails> getAuditDocumentDetails(Integer legalEntityCode, String auditTypeCode, String planId,
			String auditId, String observationId, String documentType, String documentSubType, String status, String documentName);
	
 
	public  Map<String, Integer> uploadDocument( AuditDocumentDetails auditDocumentDetails, CommonsMultipartFile[] files,String fileName);
	
	public String deleteDocumentById(Integer legalEntityCode, Integer documentId, String status);
	
	public String deleteAllDocumentBy(Integer legalEntityCode, String auditTypeCode, String planId, String auditId, String observationId,
			String documentType, String documentSubType);
	
	String getReferencePathById(Integer legalEntityCode, Integer documentId, String status, String auditId);
	
	/*List<AuditDocumentDetails> getAuditDocumentDetailCompliance(Integer legalEntityCode, String auditTypeCode,
			String planId, String auditId, String observationId, String documentType, String documentName, String documentSubType) ;*/
	
	AuditDocumentDetails getAuditTypeDocumentDetailById(Integer legalEntityCode, Integer Id, String status);
	
	String getCountOfDocuments(Integer legalEntityCode, String auditTypeCode, String planId, String auditId, 
			String observationId, String documentType, String documentSubType, String status, String documentName);
	
	String submitObservationDocuments(Integer legalEntityCode, String auditTypeCode, String planId, String auditId,
			 String role, String documentType, String documentSubType, String observationId);
	 
	
}
